docs

Get product by external ID

Retrieves a product by the `externalId` you gave it, such as your SKU. Same response as `GET /products/:id`.

GET
/products/external/{externalId}

Retrieves a product by the externalId you gave it, such as your SKU. Same response as GET /products/:id.

AuthorizationBearer <token>

API key for merchant integrations. Send as Authorization: Bearer <your key>.

In: header

Path Parameters

externalId*string

Your own ID for the product

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/products/external/string"
{  "id": "prod_abc123",  "object": "product",  "name": "Premium Plan",  "description": "string",  "image": "string",  "unitLabel": "string",  "externalId": "sku_1042",  "active": true,  "isSystemCreated": false,  "metadata": {    "property1": null,    "property2": null  },  "defaultPriceId": "string",  "merchantId": "merch_xyz789",  "prices": [    {      "id": "price_abc123",      "object": "price",      "name": "string",      "description": "string",      "currency": "EGP",      "unitAmount": 0,      "type": "ONE_TIME",      "recurring": {},      "customUnitAmount": {},      "stock": 0,      "startDate": "string",      "expirationDate": "string",      "active": true,      "lookupKey": "pro_monthly",      "createdAt": "string",      "updatedAt": "string",      "productId": "string"    }  ],  "createdAt": "string",  "updatedAt": "string"}